apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: dexorder-web
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
spec:
  ingressClassName: nginx
  tls:
    - secretName: dexorder-trade-tls
      hosts:
        - dexorder.trade
  rules:
    - host: dexorder.trade
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: dexorder-web
                port:
                  number: 80
